Bug 1344115 - Review Request: winetricks - Work around common problems in Wine
Summary: Review Request: winetricks - Work around common problems in Wine
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lumír Balhar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Trivial
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-08 19:29 UTC by Raphael Groner
Modified: 2018-01-12 09:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 22:21:49 UTC
Type: ---
lbalhar: fedora-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1533795 unspecified CLOSED Useless dependency on time package 2020-10-14 00:28:05 UTC

Internal Links: 1533795

Description Raphael Groner 2016-06-08 19:29:00 UTC
Spec URL: https://raphgro.fedorapeople.org/review/util/winetricks.spec
SRPM URL: <srpm info here>
Description: Work around common problems in Wine
Winetricks is an easy way to work around common problems in Wine.

It has a menu of supported games/apps for which it can do all the
workarounds automatically. It also lets you install missing DLLs
or tweak various Wine settings individually.

Fedora Account System Username: raphgro

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=14425757

Comment 1 Ville Skyttä 2016-06-09 09:02:56 UTC
Not a review, just some comments:

Should add some kind of additional dependencies at least on the following:
- cabextract
- gzip
- unzip
- wget or curl (well as long as rpm requires curl, this is kind of moot)
- which

IIRC from some experiments a long time also that the full wine was not required, wine-common and wine-wow were enough.

Comment 2 Raphael Groner 2016-06-09 11:10:00 UTC
Fixed dependencies as proposed. Thanks!

I tried to execute tests via make check but it fails, at least on x86_64.

Comment 3 Raphael Groner 2016-06-09 11:28:18 UTC
Spec URL: https://raphgro.fedorapeople.org/review/util/winetricks.spec
SRPM URL: https://raphgro.fedorapeople.org/review/util/winetricks-20160425-1.fc24.src.rpm
Description: Work around common problems in Wine
Winetricks is an easy way to work around common problems in Wine.

It has a menu of supported games/apps for which it can do all the
workarounds automatically. It also lets you install missing DLLs
or tweak various Wine settings individually.

Fedora Account System Username: raphgro

Comment 4 Ville Skyttä 2016-06-09 12:36:47 UTC
Note that AFAIU wget OR curl is needed, and so because rpm already pulls in curl, the wget dep is superfluous.

Comment 5 Lumír Balhar 2016-06-20 08:23:52 UTC
Hello.

I tried to do an informal review (I am not packager yet) and everything looks correct.

Only one warning from RPMLint:

winetricks.src:17: W: macro-in-comment %winedep

But this is not a big problem.

Have a nice day.
Lumir

Comment 6 Lumír Balhar 2016-06-20 11:03:35 UTC
IMHO better is to use %%winedep instead %winedep to prevent expanding this macro in the commented line.

Comment 7 Lumír Balhar 2016-06-30 04:59:24 UTC
Hello.

Suggested improvements:
- remove these dependencies: gzip unzip which
- package latest version (20160627)

Could you please describe to me this comment:
#FIXME bug with dnf and x86 vs. x86_64
#BuildRequires:  %winedep

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14709622

Output from fedora-review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gzip unzip which
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* LGPL (v2.1 or later)".
     13 files have unknown license. Detailed output of licensecheck in
     /home/lbalhar/Review/1344115-winetricks/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: winetricks-20160425-1.fc24.noarch.rpm
          winetricks-20160425-1.fc24.src.rpm
winetricks.src:17: W: macro-in-comment %winedep
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
winetricks (rpmlib, GLIBC filtered):
    /bin/sh
    cabextract
    gzip
    time
    unzip
    wget
    which
    wine-common
    wine-wow



Provides
--------
winetricks:
    application()
    application(winetricks.desktop)
    winetricks



Source checksums
----------------
https://github.com/Winetricks/winetricks/archive/20160425.tar.gz#/winetricks-20160425.tar.gz :
  CHECKSUM(SHA256) this package     : 0ddd2d896ab3803057f0eeec3afd6fd2f1b8ebb21e4ec0647c66e3cad0da1d0e
  CHECKSUM(SHA256) upstream package : 0ddd2d896ab3803057f0eeec3afd6fd2f1b8ebb21e4ec0647c66e3cad0da1d0e


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1344115
Buildroot used: fedora-24-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 8 Ville Skyttä 2016-06-30 05:18:21 UTC
(In reply to Lumír Balhar from comment #7)

> - remove these dependencies: gzip unzip which

The which dependency cannot be removed. winetricks requires it, and nothing in its dependency chain pulls it in. (gzip and unzip are being pulled in by others so they can be dropped if you like)

The wget dependency should on the other hand still be removed, see comment 4.

And I'm not sure where the time dependency comes from, can't find a place where it would be used. So I suppose that dep should go as well.

Comment 9 Lumír Balhar 2016-06-30 08:17:40 UTC
(In reply to Ville Skyttä from comment #8)
> (In reply to Lumír Balhar from comment #7)
> 
> > - remove these dependencies: gzip unzip which
> 
> The which dependency cannot be removed. winetricks requires it, and nothing
> in its dependency chain pulls it in. (gzip and unzip are being pulled in by
> others so they can be dropped if you like)
> 
> The wget dependency should on the other hand still be removed, see comment 4.
> 
> And I'm not sure where the time dependency comes from, can't find a place
> where it would be used. So I suppose that dep should go as well.

Look at issue in review output:

> All build dependencies are listed in BuildRequires, except for any that
> are listed in the exceptions section of Packaging Guidelines.
> Note: These BR are not needed: gzip unzip which
> See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

I think 'which' is not needed in BR (like gzip and unzip).

Comment 10 Ville Skyttä 2016-06-30 08:45:52 UTC
(In reply to Lumír Balhar from comment #9)
> I think 'which' is not needed in BR (like gzip and unzip).

It is not a BR. It's a runtime dependency, i.e. a regular Requires.

Comment 11 Lumír Balhar 2016-06-30 09:44:48 UTC
(In reply to Ville Skyttä from comment #10)
> (In reply to Lumír Balhar from comment #9)
> > I think 'which' is not needed in BR (like gzip and unzip).
> 
> It is not a BR. It's a runtime dependency, i.e. a regular Requires.

Ok, then I think you should remove these lines and create separated dependencies for build and run.

%global rundep  cabextract gzip unzip wget which time
Requires:       %rundep
BuildRequires:  %rundep

Comment 13 Neal Gompa 2016-07-08 17:36:51 UTC
Can you change the Source0 URL to the following:

%{url}/archive/%{version}/%{name}-%{version}.tar.gz

That's a direct URL that things like spectool can actually use.

Comment 14 Raphael Groner 2016-07-08 19:22:02 UTC
(In reply to Neal Gompa from comment #13)
> Can you change the Source0 URL to the following:
> 
> %{url}/archive/%{version}/%{name}-%{version}.tar.gz
> 
> That's a direct URL that things like spectool can actually use.

Does not work.

$ wget 'https://github.com/Winetricks/winetricks/archive/winetricks-20160627.tar.gz'
--2016-07-08 21:20:47--  https://github.com/Winetricks/winetricks/archive/winetricks-20160627.tar.gz
Resolving github.com (github.com)... 192.30.253.112
Connecting to github.com (github.com)|192.30.253.112|:443... connected.
HTTP request sent, awaiting response... 302 Found
Location: https://codeload.github.com/Winetricks/winetricks/tar.gz/winetricks-20160627 [following]
--2016-07-08 21:20:47--  https://codeload.github.com/Winetricks/winetricks/tar.gz/winetricks-20160627
Resolving codeload.github.com (codeload.github.com)... 192.30.253.121
Connecting to codeload.github.com (codeload.github.com)|192.30.253.121|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2016-07-08 21:20:48 ERROR 404: Not Found.

$ spectool -g -R SPECS/winetricks.spec 
Getting https://github.com/Winetricks/winetricks/archive/20160627.tar.gz#/winetricks-20160627.tar.gz to /home/builder/rpmbuild/SOURCES/winetricks-20160627.tar.gz
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   131    0   131    0     0    197      0 --:--:-- --:--:-- --:--:--   197
100  168k  100  168k    0     0   102k      0  0:00:01  0:00:01 --:--:--  562k

Comment 15 Raphael Groner 2016-07-08 19:22:38 UTC
Lumír Balhar, can you continue with the review?

Comment 16 Raphael Groner 2016-07-08 19:27:12 UTC
(In reply to Neal Gompa from comment #13)
> Can you change the Source0 URL to the following:
> 
> %{url}/archive/%{version}/%{name}-%{version}.tar.gz
> 
> That's a direct URL that things like spectool can actually use.

Please forget about comment #14.

$ spectool -g -R SPECS/winetricks.spec 
Getting https://github.com/Winetricks/winetricks/archive/20160627/winetricks-20160627.tar.gz to /home/builder/rpmbuild/SOURCES/winetricks-20160627.tar.gz
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   131    0   131    0     0    206      0 --:--:-- --:--:-- --:--:--   206
100  168k  100  168k    0     0   102k      0  0:00:01  0:00:01 --:--:--  596k

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=14823844

Comment 17 Lumír Balhar 2016-07-11 08:56:32 UTC
Looks good to me.

Package APPROVED

Comment 18 Raphael Groner 2016-07-11 09:05:49 UTC
Thanks for the review!

Comment 19 Gwyn Ciesla 2016-07-11 13:18:27 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/winetricks

Comment 20 Fedora Update System 2016-07-11 14:29:25 UTC
winetricks-20160709-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-92848170db

Comment 21 Fedora Update System 2016-07-11 14:29:34 UTC
winetricks-20160709-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e29a3b0227

Comment 22 Fedora Update System 2016-07-11 14:29:40 UTC
winetricks-20160709-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-428635d82f

Comment 23 Fedora Update System 2016-07-12 02:53:28 UTC
winetricks-20160709-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e29a3b0227

Comment 24 Fedora Update System 2016-07-12 03:54:32 UTC
winetricks-20160709-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-92848170db

Comment 25 Fedora Update System 2016-07-12 03:58:12 UTC
winetricks-20160709-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-428635d82f

Comment 26 Fedora Update System 2016-07-19 22:21:46 UTC
winetricks-20160709-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2016-07-20 00:24:25 UTC
winetricks-20160709-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.